<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- al-01 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF" >
  <tr>
    <td height="100%" valign="top" style="background-image: url(images/headerbg.jpg); background-repeat: repeat-x; background-position: center top;">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="100%" valign="top" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: left top;">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td valign="top" height="132" style="padding-left: 30px;">
        <table cellpadding="0" cellspacing="0" width="500">
          <tr>
            <td valign="bottom"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
            <td width="100%" height="35" align="left" style="padding-left: 20px;">
			<table border="0" cellspacing="0" cellpadding="0" align="right">
              <tr>
<!-- MENU -->
          <xsl:call-template name="TOP-MENU"/>
<!-- END MENU -->
              </tr>
            </table>
			
            </td>
          </tr>
          <tr>
            <td class="company" colspan="2" style="padding-top: 8px;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td valign="top" class="slogan" colspan="2"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table>

			</td>
          </tr>
          <tr>
            <td valign="top" height="100%">
			<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="170" valign="top">
				<table border="0" cellspacing="0" cellpadding="0" width="170">
                  <tr>
                    <td width="170"><img src="images/spacer.gif" width="170" height="10" /></td>
                  </tr>
                  <tr>
                    <td valign="top" align="center">
					<table width="140" border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                    </table></td>
                  </tr>
                </table></td>
                <td width="100%" height="100%" valign="top" style="padding-top: 240px;
	padding-right: 30px;
	padding-bottom: 10px;
	padding-left: 150px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header" style="padding-top:2px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td><img src="images/test.gif" width="26" height="17" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%" ><tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		</tr></table>
<!-- END CONTENT --></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
        <td height="79" valign="top" background="images/al_05.jpg">
      <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="229"><img src="images/al_03.jpg" width="229" height="79" alt="" /></td>
          <td width="100%" align="right" valign="top" style="background-image: url(images/al_06.jpg);
	background-repeat: no-repeat;
	background-position: right bottom; padding-right: 60px;" class="footer">
<!-- FOOTER -->
<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
<!-- END FOOTER -->
	</td>
        </tr>
      </table></td>
  </tr>
</table>

	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
 <tr>
       <td width="26"><img src="images/sub.gif" width="24" height="10" /></td>
       <td width="114" class="asubmenu" align="left"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
 </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
 <tr>
       <td width="26"><img src="images/sub2.gif" width="24" height="10" /></td>
       <td width="114"><a href="{@HREF}" class="submenu" align="left"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
 </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
                      <tr>
                        <td colspan="2"><img src="images/spacer.gif" width="100" height="6" /></td>
                        </tr>
		
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
