<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-255 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<img src="images/blank.gif" width="780" height="1"/>	
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr align="left" valign="middle">
    <td colspan="2" background="images/menu_down.gif">
	<TABLE height="68" border="0" cellPadding="0" cellSpacing="0">
      <TBODY>
        <TR>
         <xsl:call-template name="TOP-MENU"/>
        </TR>
      </TBODY>
    </TABLE>
	</td>
  </tr>
  <tr align="center">
    <td height="105" colspan="2" background="images/head_bg.gif">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td align="center" class="company"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
<BR/>
<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
        <td align="center"><IMG src="images/head.gif"/></td>
        <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="100%" height="100%" align="left" valign="top" bgColor="#e1e1e1" style="border: 1px solid #e1e1e1; padding: 25px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/title_point.gif" border="0" alt=""/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
	  <!-- END CONTENT --></td>
    <td width="200" align="center" valign="top" class="submenubg"  style="background-image:url(images/menu_bg.gif);background-repeat:repeat-x" >
	<br/>
		<TABLE cellSpacing="0" cellPadding="0" width="170" border="0">
        <TBODY>
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
        </TBODY>
      </TABLE>
	
	</td>
  </tr>
  <tr align="center" valign="middle" bgcolor="#C7CDD0">
    <td height="68" colspan="2" background="images/menu1_down.gif" style="padding:5px 0;background-repeat:repeat-x;background-position:top">
	<!-- BOTTOM MENU -->
		<TABLE border="0" cellPadding="0" cellSpacing="0">
        <TBODY>
          <TR>
      <xsl:call-template name="BOTTOM-MENU"/>
          </TR>
        </TBODY>
      </TABLE>
						<!-- END BOOTTOM MENU -->
						<!-- FOOTER -->
<div align="center" class="footer" style="padding-top:10px"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</div>
						<!-- END FOOTER -->
	</td>
    </tr>
</table>
</center>
</body>
	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
          <TR>
            <TD align="center" width="20"><IMG src="images/bullet2.gif" width="5" height="5"/></TD>
            <TD class="asubmenu" height="31"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></TD>
          </TR>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <TR>
            <TD align="center" width="20"><IMG src="images/bullet2.gif" width="5" height="5"/></TD>
            <TD class="submenu" height="31"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></TD>
          </TR>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
          <TR>
            <TD colSpan="2" height="1" bgcolor="#eeeeee"></TD>
          </TR>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
            <TD align="center" class="abmenu" style="padding:0 5px; ">
			<IMG src="images/sub_button.gif" width="5" height="4"/><BR/>
       <a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></TD>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
            <TD align="center" class="bmenu" style="padding:0 5px; ">
			<IMG src="images/sub_button.gif" width="5" height="4"/><BR/>
       <a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></TD>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
