<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- beauty-001 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top" background="images/header1.gif" style="background-position:top left;background-repeat:repeat-x;"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td background="images/header.gif" style="background-position:top left;background-repeat:no-repeat;"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="345" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td valign="top" background="images/004.gif" style="background-position:top ;background-repeat:repeat-x;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="216" height="330" valign="top" background="images/005.gif" style="background-position:top left;background-repeat:no-repeat;padding-top:20px;">
					 <!-- LOGO -->
					<table width="200" border="0" align="center" cellpadding="0" cellspacing="0">
                      <tr>
                        <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                      </tr>
                      <tr>
                        <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
                      </tr>
                      <tr>
                        <td class="slogan"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
                      </tr>
                    </table> <!-- END LOGO --></td>
                    <td valign="top"><table width="100%" height="71" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td style="padding-left:30px;">
						<!-- MENU -->
						<table border="0" align="right" cellpadding="0" cellspacing="0">
                          <tr>
						  <td class="t1"><img src="images/006.gif" width="2" height="71"/></td>
                            <xsl:call-template name="TOP-MENU"/>
							
							 
                          </tr>
                        </table>
						<!-- END MENU -->
						</td>
                      </tr>
                    </table></td>
                  </tr>
                </table></td>
                </tr>
            </table></td>
          </tr>
          <tr>
            <td height="100%" valign="top" background="images/002.gif" bgcolor="#064D8F" style="background-position:top;background-repeat:repeat-x;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="187" valign="top"><table width="187" border="0" cellspacing="0" cellpadding="0" >
                  <tr>
                    <td style="padding-top:20px;padding-bottom:40px;padding-left:15px;padding-right:10px;">
					<!-- SUBMENU -->
					<table  border="0" align="center" cellpadding="0" cellspacing="0">
                     <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                    </table><!-- END SUBMENU --></td>
                  </tr>
                </table></td>
                <td valign="top" style="padding:20px;">
				<!-- CONTENT -->
				<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
                  <tr>
                    <td><table  border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td class="pathway"><img src="images/008.gif"/></td>
                          <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                        </tr>
                      </table>
                        <br/>
                      <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
                  </tr>
                </table><!-- END CONTENT --></td>
              </tr>
            </table></td>
          </tr>
          
          <tr>
            <td valign="top" background="images/003.gif" bgcolor="#1D5590" style="background-position:top;background-repeat:repeat-x;padding-top:20px;padding-bottom:20px;">
			<!-- BOTTOM MENU -->
			<table border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <td width="20"></td>
               <xsl:call-template name="BOTTOM-MENU"/>
                <td width="20"></td>
              </tr>
              <tr><!-- END BOTTOM MENU -->
                
                <td colspan="23" style="padding-top:15px;"><!-- FOOTER -->
				<table  border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
					</tr>
				  
                </table><!-- END FOOTER --></td>
                </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >



 <tr>
<td style="padding-right:10px;padding-left:5px;"><img src="images/011.gif"/></td>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">



<tr>
<td style="padding-right:10px;padding-left:5px;"><img src="images/011.gif"/></td>
<td class="smenua"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>
</tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td colspan="2"><div align="center"><img src="images/007.gif"/></div></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">

<td><div align="center"><a href='{@HREF}'  class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:when>

           <!-- when active-->
           
           <xsl:otherwise>

<td><div align="center"><a href='{@HREF}'  class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

 <td width="10"></td>
<td width="2" background="images/009.gif"></td>
<td width="10"></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
