<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- beauty-002 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" background="images/00_12.jpg">
    <tr>
      <td width="60" rowspan="3" align="right" valign="top"  style="background-image: url(images/00_01.jpg);
	background-repeat: no-repeat;
	background-position: left top;"></td>
      <td height="153" colspan="2" background="images/00_03.jpg" ><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="153" width="100%" valign="bottom" style="background-image: url(images/00_02.jpg);
	background-repeat: no-repeat;
	background-position: left bottom; ">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td height="75" align="left" valign="top">
<!-- LOGO -->
			  <table border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="70" height="49" rowspan="2" valign="top" align="left"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                  <td height="35" class="company" align="left"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                </tr>
                <tr>
                  <td height="13" class="slogan" align="left"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                </tr>
              </table>
<!-- END LOGO -->  
			  </td>
            </tr>
            <tr>
              <td height="30" align="center">
<!-- MENU --> 
			  <table border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <xsl:call-template name="TOP-MENU"/>
                </tr>
              </table>
<!-- END MENU -->
			  </td>
            </tr>
            <tr>
              <td height="10"></td>
            </tr>
          </table></td>
        </tr>
      </table></td>
      <td width="60" rowspan="3" valign="top" style="background-image: url(images/00_05.jpg);
	background-repeat: no-repeat;
	background-position: left top;"></td>
    </tr>
    <tr>
      <td width="219" height="376" valign="top" background="images/00_10.jpg"><table width="100%" height="282"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td height="282" align="center" valign="top" style="background-image: url(images/00_06.gif);
	background-repeat: no-repeat;
	background-position: left top;">
	<br/>
	<!-- SUBMENU -->
	<table width="180" border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
    </table>
<!-- END SUBMENU -->
		  </td>
        </tr>
      </table></td>
      <td width="100%" valign="top" bgcolor="#FFFFFF" style="background-image: url(images/00_07.jpg);
	background-repeat: no-repeat;
	background-position: right top; padding: 25px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/001.gif" width="21" height="19" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
	    <tr><td valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	    </tr></table>
			<!-- END CONTENT --></td>
    </tr>
    <tr>
      <td width="219" valign="bottom" background="images/00_10.jpg"><img src="images/header.gif" width="219" height="299" alt="" /></td>
      <td width="634" align="right" valign="bottom" bgcolor="#FFFFFF"><img src="images/00_16.jpg" width="41" height="34" alt="" /></td>
    </tr>
    <tr>
      <td background="images/00_17.jpg"><img src="images/fff.gif" width="60" height="10" /></td>
      <td background="images/00_17.jpg"><table width="200" height="48" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="2" height="48" bgcolor="#FFFFFF"></td>
          <td width="190">
		<!-- FOOTER -->
		<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
		<!-- END FOOTER -->
		  </td>
        </tr>
      </table></td>
      <td align="right" background="images/00_17.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
         <td width="100%" height="119" align="left" style="background-image: url(images/00_18.jpg);
	background-repeat: no-repeat;
	background-position: right top;">
<!-- BOOTTOM MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
             <tr>
                <xsl:call-template name="BOTTOM-MENU"/>
             </tr>
           </table></td>
        </tr>
      </table>
<!-- END BOOTTOM MENU -->
	  </td>
      <td align="left" valign="top"><img src="images/00_19.jpg" width="60" height="119" alt="" /></td>
    </tr>
  </table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
      <tr>
        <td width="13" bgcolor="#FFFFFF" style="padding-left: 10px;"><img src="images/002.gif" width="4" height="6" /></td>
        <td align="left" style="padding: 7px;" bgcolor="#FFFFFF" class="asubmenu" ><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
      </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
      <tr>
        <td width="13" bgcolor="#FFFFFF" style="padding-left: 10px;"><img src="images/002.gif" width="4" height="6" /></td>
        <td align="left"  bgcolor="#FFFFFF" style="padding: 7px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
      </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
      <tr>
        <td height="10" colspan="2"></td>
        </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			 <td width="15"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
