<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
<xsl:variable name="cID" select="@ID"/>
<html>
<!-- beauty-003 -->
<head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
    <xsl:apply-templates select="META-TAGS"/>
	<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>
<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table border="0" cellpadding="0" cellspacing="0" style="width:100%; height:100%;" class="main-bg">
	<tr>
		<td height="77">
			<table  border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%">
				<tr>
					<td><img src="images/top-left.gif" width="196" height="77" alt="" border="0"/></td>
					<td width="100%" style="background-image: url(images/top-bg.gif);">
					</td>
					<td><img src="images/top-right.gif" width="297" height="77" alt="" border="0"/></td>				
				</tr>
	        </table>
		</td>
	</tr>
	<tr>
		<td height="173">
			<table border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%">
				<tr>
					<td><img src="images/header-left-bg.gif" width="111" height="173" alt="" border="0"/></td>
					<td style="background-image: url(images/header-left-part.gif); background-repeat: no-repeat; background-position: top left; padding: 57 0 0 40;" valign="top">
						<div style="width: 226px; height: 0px;"><span></span></div>
						<table border="0" cellpadding="0" cellspacing="0" >
							<tr>
								<td style="padding-right: 15px;"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0"/></a></td>
								<td valign="middle">
									<div class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
									<div class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
								</td>
							</tr>
                        </table>
					</td>
					<td width="100%" style="background-image: url(images/header-bg.gif); background-repeat: x-repeat;"></td>
					<td><img src="images/header.jpg" width="251" height="173" alt="" border="0"/></td>
					<td><img src="images/header-right-bg.gif" width="124" height="173" alt="" border="0"/></td>
				</tr>
            </table>
		</td>
	</tr>
	<tr>
		<td style="height: 100%;">
			<table border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%">
				<tr>
					<td style="background-image: url(images/left-side-bg.gif);">
						<div style="width: 111px; height: 124px;"><span></span></div>
					</td>
					<td style="width: 100%; height: 100%" class="content-bg" valign="top">
						<table border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%">
							<tr>
								<td align="center" height="46">
								<!-- menu -->
									<table border="0" cellpadding="0" cellspacing="0" style="height: 46px;">
										<tr>
											<xsl:call-template name="TOP-MENU"/>
										</tr>
                                    </table>
								<!-- /menu -->
								</td>
							</tr>
							<tr>
								<td height="1">
								<table border="0" cellpadding="0" cellspacing="0" style="width: 100%;">
									<tr>
										<td><div style="width: 21px; height: 1px;"><span></span></div></td>
										<td width="100%" style="background-color: #AFAFAF;"></td>
										<td><div style="width: 20px; height: 1px;"><span></span></div></td>
									</tr>
                                </table>
								</td>
							</tr>
							<tr>
								<td style="width: 100%; height: 100%" valign="top">
									<table border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%">
										<tr>
											<td style="padding-left: 41px; padding-right: 20px;" valign="top">
												<!-- submenu -->
												<table border="0" cellpadding="0" cellspacing="0" >
													<xsl:call-template name="SUB-MENU">
													<xsl:with-param name="pageID" select="@ID"/>
													</xsl:call-template>
                                                </table>
												<!-- /submenu -->
												<div style="width: 177px; height: 0px;"><span></span></div>
											</td>
											<td style="background-color: #AFAFAF;">
												<div style="width: 1px; height: 0px;"><span></span></div>
											</td>
											<td width="100%" valign="top" style="padding-left: 20px; padding-top: 17px; padding-right: 21px;">
												<table border="0" cellpadding="0" cellspacing="0" width="100%">
													<tr>
														<td>
															<table border="0" cellpadding="0" cellspacing="0" >
																<tr>
																	<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
																	<td style="padding-top: 1px; padding-left: 10px;"><img src="images/txtheader_bullet.gif" width="17" height="17" alt="" border="0"/></td>
																</tr>
                                                            </table>
														</td>
													</tr>
													<tr>
														<td class="pageContent" style="padding-top: 17px;">
															<xsl:apply-templates select="PAGE-CONTENT"/>
														</td>
													</tr>
                                                </table>
											</td>
										</tr>
                                    </table>
								</td>
							</tr>
							<tr>
								<td height="1">
								<table border="0" cellpadding="0" cellspacing="0" style="width: 100%;">
									<tr>
										<td><div style="width: 21px; height: 1px;"><span></span></div></td>
										<td width="100%" style="background-color: #AFAFAF;"></td>
										<td><div style="width: 20px; height: 1px;"><span></span></div></td>
									</tr>
                                </table>
								</td>
							</tr>
							<tr>
								<td height="42" align="center">
									<!-- bottom menu -->
									<table border="0" cellpadding="0" cellspacing="0" style="height: 42px;">
										<tr>
											<xsl:call-template name="BOTTOM-MENU"/>
										</tr>
                                    </table>
									<!-- /bottom menu -->
								</td>
							</tr>
							<tr>
								<td>
									<table border="0" cellpadding="0" cellspacing="0" >
										<tr>
											<td><img src="images/bottom-left-bg.gif" width="109" height="39" alt="" border="0"/></td>
											<td class="footer" width="100%" align="center"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
											<td><img src="images/bottom-right-bg.gif" width="89" height="39" alt="" border="0"/></td>
										</tr>
                                    </table>
								</td>
							</tr>
                        </table>
					</td>
					<td style="background-image: url(images/right-side-bg.gif);">
						<div style="width: 124px; height: 124px;"><span></span></div>
					</td>
				</tr>
	        </table>
		</td>
	</tr>
	<tr>
		<td height="77">
			<table  border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%">
				<tr>
					<td><img src="images/bottom-left-corner.gif" width="254" height="76" alt="" border="0"/></td>
					<td width="100%" style="background-image: url(images/bottom-bg.gif);">
					</td>
					<td><img src="images/bottom-right-corner.gif" width="355" height="76" alt="" border="0"/></td>				
				</tr>
	        </table>
		</td>
	</tr>
	
</table>
</body>

</html>
</xsl:template>

<xsl:template name="TOP-MENU">
<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>

<xsl:template name="SUB-MENU">
<xsl:param name="pageID"/>
<xsl:choose>
<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
</xsl:when>
<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
</xsl:when>
</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
<xsl:choose>
<xsl:when test="@ID=/LAYOUT/@ID" >
	<tr>
		<td style="padding-top: 12px; padding-bottom: 12px;">
			<table border="0" cellpadding="0" cellspacing="0" style="width: 116px;">
				<tr>
					<td class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td><img src="images/submenu_bullet.gif" width="4" height="6" alt="" border="0"/></td>
				</tr>
            </table>
		</td>
	</tr>
</xsl:when>
<xsl:otherwise>
<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	<tr>
		<td style="padding-top: 12px; padding-bottom: 12px;">
			<table border="0" cellpadding="0" cellspacing="0" style="width: 116px;">
				<tr>
					<td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td><a href="{@HREF}" class="submenu"><img src="images/submenu_bullet.gif" width="4" height="6" alt="" border="0"/></a></td>
				</tr>
            </table>
		</td>
	</tr>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
<xsl:if test="position()!=last()">
	<tr>
		<td style="background-color: #AFAFAF;"><div style="width: 116px; height: 1px;"><span></span></div></td>
	</tr>
</xsl:if>
</xsl:template>

<xsl:template name="BOTTOM-MENU">   		
<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>

<xsl:template match="MENU-ITEM"  mode="bottom">
<xsl:choose>
<!-- when vizited inside-->
<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
	<td width="14"><div style="width: 6px; height: 0px;"><span></span></div></td>
	<td><a href="{@HREF}" class="abmenu"><img src="images/bmenu_bullet.gif" width="5" height="5" alt="" border="0"/></a></td>
	<td><div style="width: 6px; height: 0px;"><span></span></div></td>
	<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</xsl:when>
<!-- when active-->

<xsl:otherwise>
	<td width="14"><div style="width: 6px; height: 0px;"><span></span></div></td>
	<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><img src="images/bmenu_bullet.gif" width="5" height="5" alt="" border="0"/></a></td>
	<td><div style="width: 6px; height: 0px;"><span></span></div></td>
	<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="META-TAGS">
<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
<meta name="{local-name(.)}">
<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
</meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
<xsl:comment> EDITABLE CONTENT </xsl:comment>
<xsl:apply-templates mode="meta-tags"/>
</xsl:template>

</xsl:stylesheet>
	
	
