<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- vap-07 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" LEFTMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" TOPMARGIN="0">
        <TABLE WIDTH="100%" HEIGHT="100%"  CELLPADDING="0" CELLSPACING="0" border="0">
        	<TR>
        		<TD class="top-bg" style="background-image : url('images/header_bg.gif'); background-position: top; background-repeat: repeat-x;">
		   			<table cellspacing="0" cellpadding="0" class="top-header" width="100%" border="0" height="250" style="background : url(images/header.jpg) top right no-repeat;">
		   				<!-- HEADER -->
		   				<tr>
		   				    <td height="179" style="padding-left: 35px;">
		   						<table cellspacing="0" cellpadding="0">
		   							<tr>
		   							    <td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
		   								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
		   							</tr>
		   							<tr>
		   							    <td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
		   							</tr>
		   						</table>
		   					</td>
		   				</tr>
		   				<!-- END HEADER -->
		   				<!-- MENU -->
		   				<tr>
		   				    <td height="40" style="padding-left: 55px;">
		                  			<xsl:call-template name="TOP-MENU"/>
		   					</td>
		   				</tr>
		   				<!-- END MENU -->
		   				<!-- SUBMENU -->
		   				<tr>
		   				    <td height="31" style="padding-left: 55px;">
						   		<table cellspacing="0" cellpadding="0" height="31">
									<tr>
				       					<!-- CALL SUB-MENU-->
				       					<xsl:call-template name="SUB-MENU">
				       						<xsl:with-param name="pageID" select="@ID"/>
				       					</xsl:call-template>	
							   		</tr>
							   	</table>      
		   					</td>
		   				</tr>
		       			<!-- END SUBMENU -->
		   			</table>
        		</TD>
        	</TR>
        	<TR>
              <TD class="content" valign="top" height="100%" name="SB_stretch" style="background-image : url('images/bg.gif'); background-position: top left; background-repeat: repeat-x ;"><!-- CONTENT -->
                  <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td height="17"><table  border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                            <td><img src="images/texticon.gif" width="17" height="17" hspace="11"/></td>
                          </tr>
                      </table></td>
                    </tr>
                    <tr>
                      <td height="100%" valign="top" class="pageContent" style="padding-top:17px;"><xsl:apply-templates select="PAGE-CONTENT"/></td>
                    </tr>
                  </table>
                  <!-- END CONTENT -->
              </TD>
      	  </TR>
        	<TR>
        		<TD class="btmenu-bg" align="center" style="background-image : url('images/btmenu_bg.gif'); background-position: top left; background-repeat: repeat-x ;">
        		<!-- BOTTOM MENU -->
        			<!--CALL BOTTOM-MENU -->
        			<xsl:call-template name="BOTTOM-MENU"/>
	        		<!-- END BOTTOM MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD class="footer-bg" align="center" style="background-image : url('images/footer_bg.gif'); background-position: top left; background-repeat: repeat-x ;">
        		<!-- SUBMENU -->
        			<span class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span>
        		<!-- END SUBMENU -->
        		</TD>
        	</TR>
        </TABLE>
        </BODY>

		</html>

	</xsl:template>


	<!-- TOP-MENU -->
	<xsl:template name="TOP-MENU">
   		<table cellspacing="0" cellpadding="0">
   			<tr>
				<xsl:apply-templates select="MENU" mode="top"/>				
   			</tr>
   		</table>
	</xsl:template>


	<!-- SUB-MENU --> 
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
		</xsl:choose>                     
	</xsl:template>

	
	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom"/>			
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        			<a href="{@HREF}" class="abtmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
                </xsl:when>
                <!-- when active-->
                
                <xsl:otherwise>
	       			<a href="{@HREF}" class="btmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
                </xsl:otherwise>
            </xsl:choose>
			<xsl:if test="position()!=last()">
				<img src="images/btmenu_bullet.gif" hspace="9" align="absmiddle"/>
			</xsl:if>
	</xsl:template>
	
	
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
