<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
<!-- vap-46 -->
<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" >
<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
	<tr>
		<td width="57" height="55" background="images/bg.gif"><img src="images/header_left.gif" width="57" height="55"/></td>
		<td height="55" background="images/header_bg.gif" align="center" style="padding-left:50px; padding-right:50px;padding-top:7px;">
			<table  border="0" cellspacing="0" cellpadding="0">
				<tr>
					<!--MENU-->
					<xsl:call-template name="TOP-MENU"/>
					<!--END MENU-->
				</tr>
			</table>
		</td>
		<td width="54" height="55" background="images/bg.gif"><img src="images/header_right.gif" width="54" height="55"/></td>
	</tr>
	<tr background="images/bg.gif">
		<td width="57" height="100%" background="images/bg.gif"></td>
		<td background="images/bg.gif" style="vertical-align: top;">
			<table width="100%"  border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td height="219" align="center" valign="top" style="background:url(images/header.jpg) bottom no-repeat; ">
						<div style="width:669px;"></div>
						<table width="100%"  border="0" cellspacing="0" cellpadding="0">
							<!--LOGO-->
							<tr>
								<td height="53px" align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
							</tr>
							<tr>
								<td align="center" valign="top" class="company">
									<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
								</td>
							</tr>
							<tr>
								<td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
							</tr>
							<!--END LOGO-->
						</table>
					</td>
				</tr>
				<tr>
					<td height="377">
						<table width="100%"  border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td style="background:url(images/header_bottom.jpg) top no-repeat;">
							        <table width="100%"  border="0" cellspacing="0" cellpadding="0">
										<tr>
											<td width="156" height="377" valign="top" style="padding-top:30px; ">
												<table width="100%"  border="0" cellspacing="0" cellpadding="0">
													<!--SUBMENU-->
													<xsl:call-template name="SUB-MENU">
														<xsl:with-param name="pageID" select="@ID"/>     
													</xsl:call-template>
													<!--END SUBMENU-->
												</table>
											</td>
											<td height="377" valign="top" style="padding-left:10px; ">
												<table width="100%"  border="0" cellspacing="0" cellpadding="0">
													<tr>
														<td height="47" align="left" class="text-header">
															<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
														</td>
													</tr>
												</table>
												<!--CONTENT-->
												<table width="100%"  border="0" cellspacing="0" cellpadding="0">
													<tr>
														<td class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
													</tr>
												</table>
												<!--END CONTENT-->
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
		<td width="54" background="images/bg.gif"></td>
	</tr>
	<tr background="images/bg.gif">
		<td width="57" height="49" background="images/bg.gif"></td>
		<td height="49" background="images/bg.gif">
			<table width="100%"  border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td width="156" height="49"><div style="width:156px; "></div></td>
					<td height="49" align="center" style="padding-left:60px;padding-right:60px; ">
						<table width="100%"  border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td align="center" valign="middle">
									<table  border="0" cellspacing="0" cellpadding="0">
										<tr>
											<!--BOTTOM MENU-->
											<xsl:call-template name="BOTTOM-MENU"/>               
											<!--END BOTTOM MENU-->
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<!--FOOTER-->
								<td align="center" class="footer" style="padding-top:6px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
								<!--END FOOTER-->
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
		<td width="54" height="49" background="images/bg.gif"></td>
	</tr>
</table>
</body>
</html>

</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		<tr>
                <td width="5px" height="24px"><img src="images/submenu_bullet.gif" width="5px" height="7px" border="0"/></td>
                <td style="padding-left:10px;padding-top:1px;padding-bottom:1px; " class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
        </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
                	<td width="5px" height="24px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" width="5px" height="7px" border="0"/></a></td>
                	<td style="padding-left:10px;padding-top:1px;padding-bottom:1px; "><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        		</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	<tr>
              <td height="1px"></td>
              <td height="1px"><img src="images/submenu_hr.gif" width="85px" height="1px" border="0"/></td>
     </tr>
	
		
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		 <td align="center" style="padding-left:4px;padding-right:4px; "><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		   <td align="center"  style="padding-left:4px;padding-right:4px; "><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		<td width="3px"><img src="images/bottommenu_bullet.gif" width="3px" height="3px" border="0"/></td>
			
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>


