<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xmp-09 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR>
		<TD height="321" style="background-image: url('images/header_bg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/header.jpg'); background-repeat: no-repeat;">
				<tr>
					<td height="100%" valign="bottom">
						<!-- LOGO -->
  						<table cellpadding="0" cellspacing="0" width="230">
  							<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td></tr>
  							<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
  							<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
  						</table>
						<!-- END LOGO -->
					</td>
				</tr>
				<tr>
					<td height="88">
						<!-- MENU -->
               			<table cellpadding="0" cellspacing="0" align="right">
               				<tr>
               					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                                <xsl:call-template name="TOP-MENU"/>
               					<td width="45"><div style="width:5px; height:0px;"><span></span></div></td>

               				</tr>
               			</table>
						<!-- END MENU -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top" style="background-image: url('images/bg_r.gif'); background-position: bottom left; background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/bg_t.gif'); background-position: top left; background-repeat: repeat-y;">
				<tr>
					<td valign="top" style="background-image: url('images/bg.jpg'); background-position: bottom left; background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 479px;">
							<tr valign="top">
								<td style="padding: 15px 0 215px 0;">
									<!-- SUBMENU -->
                           			<table cellpadding="0" cellspacing="0" width="162" align="center">
										<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                           			</table>
									<!-- END SUBMENU -->
									<div style="width:240px; height:0px;"><span></span></div>
								</td>
								<td width="100%" class="pageContent">
									<!-- CONTENT -->
                              		<table cellpadding="0" cellspacing="0" border="0">
                              			<tr>
                              				<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                              			</tr>
                              		</table>
                              		<div style="width:0px; height:15px;"><span></span></div>
                              		<xsl:apply-templates select="PAGE-CONTENT"/>
									<!-- END CONTENT -->
								</td>
							</tr>
							<tr>
								<td height="100"></td>
								<td class="footer" style="padding: 50px 0 0 100px;">
									<!-- FOOTER -->
									<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
									<!-- END FOOTER -->
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr bgcolor="#4d4030">
				<td height="30" class="asubmenu" style="padding-left: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td align="right" style="padding: 0 5px 0 5px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>
				<td height="30" style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				<td align="right" style="padding: 0 5px 0 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
			</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="4"><div style="height:2px; background-color: #FFFFFF; background-image: url('images/submenu_separator.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
